;
; This file provides a few initializations for RScheme compatibility
;
(define load foo$$load)
(define add-load-path foo$$add-load-path)
(define require foo$$require)
(define provide foo$$provide)

(define sys$$eval eval)
(define (sys$$exit% . x)
  (if (null? x) (process-exit 0) (process-exit (car x))))

(define sys$$getenv getenv)
(define (sys$$file-exists? x) (os-file-exists? x))

(define-macro (define-macro% . x) `(define-macro . ,x))

(define exit sys$$exit%)
(define sys$$error error)
