(provide 'registry)
(require 'meta-registry)


(define-registry
`
(
; 01000100 - 0100.0FFF
;	Main Tunes objects

(#x01000100
	"main Tunes object for version 0.X"
	"Tunes 0.X")
(#x01000101
	"Initial ``clean'' abstract environment"
	"InitENV")
(#x01000200
	"The Global Registry itself"
	"TGR0")
(#x01000201
	"The Object Type SubRegistry"
	"TGR0-OT")
(#x01000202
	"The Bytestream Encodings SubRegistry"
	; aka Filetypes...
	"TGR0-BE")
(#x01000203
	"The Execution Platforms SubRegistry"
	; CPU derivatives and calling conventions
	"TGR0-EP")
(#x01000204
	"The Mathematical Objects SubRegistry"
	"TGR0-MO")
(#x01000205
	"The Display Symbol SubRegistry" ; symbols, tables, fonts, etc
	"TGR0-AS")


; 0100.1000 - 0100.1FFF
;	Core primitives
;	see the LLL, with inspiration from Scheme, FORTH


; 0100.2000 - 0100.3FFF
;	primitives from the Tunes system access library
(#x01002010
	; POSIX interface
	"POSIX")

;(#x01004000 0100FFFF
;	primitives from the Tunes 0.x standard library
;<tag/0101.0000 - 0101.0FFF/
;	primitives for Tunes on "standard" 32-bit flat architectures
;<tag/0101.1000 - 0101.1FFF/
;	primitives for Tunes on i386 platforms
;<tag/0102.0000 - 01FF.FFFF/
;	reserved for later versions
